Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.jaxb.pom.generated
Class Scm

    java.lang.Object
      org.owasp.dependencycheck.jaxb.pom.generated.Scm

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public class Scm

extends Object

4.0.0

Java class for Scm complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Scm">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <all>
             <element name="connection" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="developerConnection" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="tag" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="url" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </all>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `connection`
`protected String` | `developerConnection`
`protected String` | `tag`
`protected String` | `url`

Constructor Summary
`Scm()`

Method Summary
`String` | `getConnection()` Gets the value of the connection property.
`String` | `getDeveloperConnection()` Gets the value of the developerConnection property.
`String` | `getTag()` Gets the value of the tag property.
`String` | `getUrl()` Gets the value of the url property.
`void` | `setConnection(String value)` Sets the value of the connection property.
`void` | `setDeveloperConnection(String value)` Sets the value of the developerConnection property.
`void` | `setTag(String value)` Sets the value of the tag property.
`void` | `setUrl(String value)` Sets the value of the url property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### connection

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String connection

### developerConnection

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String developerConnection

### tag

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String tag

### url

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String url

Constructor Detail

### Scm

    public Scm()

Method Detail

### getConnection

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getConnection()

  Gets the value of the connection property.

  Returns:
    possible object is `String`

### setConnection

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setConnection(String value)

  Sets the value of the connection property.

  Parameters:
    `value` - allowed object is `String`

### getDeveloperConnection

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getDeveloperConnection()

  Gets the value of the developerConnection property.

  Returns:
    possible object is `String`

### setDeveloperConnection

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setDeveloperConnection(String value)

  Sets the value of the developerConnection property.

  Parameters:
    `value` - allowed object is `String`

### getTag

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getTag()

  Gets the value of the tag property.

  Returns:
    possible object is `String`

### setTag

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setTag(String value)

  Sets the value of the tag property.

  Parameters:
    `value` - allowed object is `String`

### getUrl

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getUrl()

  Gets the value of the url property.

  Returns:
    possible object is `String`

### setUrl

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setUrl(String value)

  Sets the value of the url property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.